View Issue Details

IDProjectCategoryView StatusLast Update
0003642SOGoPackaging (Debian)public2016-04-25 11:51
Reportermpsharrad Assigned Toplevesque  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86-64OSUbuntuOS Version16.04
Product Version2.3.10 
Fixed in Versionnightly v2 
Summary0003642: Sogo does not work with mysql backend on Ubuntu 16.04 due to packages that cannot be installed
Description

The package causing the problem is sope4.9-gdl1-mysql which cannot be installed because it depends on libmysqlclient18 which is no longer in the ubuntu repositories and has been replaced with libmysqlclient20.

Steps To Reproduce

Install sogo on ubuntu16.04 using the following repository deb http://inverse.ca/ubuntu/ xenial xenial

Additional Information

apt-get output:

apt-get install sope4.9-gdl1-mysql
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
sope4.9-gdl1-mysql : Depends: libmysqlclient18 but it is not installable

sogo.log:
2016-04-23 20:11:59.200 sogod[16650] EOAdaptor: cannot find adaptor bundle: 'MySQL'
Apr 23 20:11:59 sogod [16650]: [ERROR] <0x0x55c5562cc890[WOWatchDog]> an exception occured in runloop <NSException: 0x55c5561c97e0> NAME:NSInvalidArgumentException REASON:Tried to add nil value for key 'localhost:5432:sogo_user:sogo' to dictionary INFO:{}

/etc/sogo/sogo.conf:
/ Database configuration (mysql:// or postgresql://) /
SOGoProfileURL = "mysql://sogo_user:60efbf779537e2e8fcc145b0100c45aa@localhost:5432/sogo/sogo_user_profile";
OCSFolderInfoURL = "mysql://sogo_user:60efbf779537e2e8fcc145b0100c45aa@localhost:5432/sogo/sogo_folder_info";
OCSSessionsFolderURL = "mysql://sogo_user:60efbf779537e2e8fcc145b0100c45aa@localhost:5432/sogo/sogo_sessions_folder";

TagsNo tags attached.

Activities

plevesque

plevesque

2016-04-25 11:51

reporter   ~0010012

You are right, there is indeed a dependency on libmysqlclient18 that does not belong.

I just rebuilt SOPE for xenity and ensured it used libmysqlclient20. Please try again with today's nightly build (sope4.9-gdl1-mysql_4.9.r1664.20160425_amd64.deb or any later version at your convenience).

Thanks for your report,

Issue History

Date Modified Username Field Change
2016-04-24 03:00 mpsharrad New Issue
2016-04-25 11:51 plevesque Note Added: 0010012
2016-04-25 11:51 plevesque Status new => resolved
2016-04-25 11:51 plevesque Fixed in Version => nightly v2
2016-04-25 11:51 plevesque Resolution open => fixed
2016-04-25 11:51 plevesque Assigned To => plevesque